summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorAndreas K. Huettel <andreas.huettel@physik.uni-r.de>2010-11-16 14:50:22 +0100
committerAndreas K. Huettel <andreas.huettel@physik.uni-r.de>2010-11-16 14:50:22 +0100
commitb8147d6c93a3fa6b7fb070704686a45ddbe2553b (patch)
tree137018b93d7acc68ef849c0554cbf682b9e36696 /eclass
parent[eclass] Added missing spaces (diff)
downloaddilfridge-b8147d6c93a3fa6b7fb070704686a45ddbe2553b.tar.gz
dilfridge-b8147d6c93a3fa6b7fb070704686a45ddbe2553b.tar.bz2
dilfridge-b8147d6c93a3fa6b7fb070704686a45ddbe2553b.zip
[eclass] only allow access to system dbus
Diffstat (limited to 'eclass')
-rw-r--r--eclass/virtualx.eclass23
1 files changed, 8 insertions, 15 deletions
diff --git a/eclass/virtualx.eclass b/eclass/virtualx.eclass
index 7db5edd..782605d 100644
--- a/eclass/virtualx.eclass
+++ b/eclass/virtualx.eclass
@@ -159,23 +159,16 @@ virtualmake() {
( [[ ${VIRTUALX_REQUIRED} == optional ]] && use ${VIRTUALX_USE} ) ||
( [[ ${VIRTUALX_REQUIRED} == tests ]] && use ${VIRTUALX_USE} ); then
- einfo Starting dbus session for the test processes
- eval `dbus-launch --sh-syntax --exit-with-session`
-
- #Do not break on error, but setup $retval, as we need
- #to kill Xvfb
- ${maketype} "$@"
- retval=$?
-
- # and now we just hope the session goes away again???
-
- else
- #Do not break on error, but setup $retval, as we need
- #to kill Xvfb
- ${maketype} "$@"
- retval=$?
+ ewarn 'Allowing access to system messagebus (experimental feature)'
+ addread /var/run/dbus/system_bus_socket
+ addwrite /var/run/dbus/system_bus_socket
fi
+ #Do not break on error, but setup $retval, as we need
+ #to kill Xvfb
+ ${maketype} "$@"
+ retval=$?
+
#Now kill Xvfb
kill $(cat /tmp/.X${XDISPLAY}-lock)
else